<?php

/**
 * Typography Settings
 *
 * @package social_blog
 */

$wp_customize->add_section(
	'social_blog_typography',
	array(
		'panel' => 'social_blog_theme_options',
		'title' => esc_html__( 'Typography Settings', 'social-blog' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'social_blog_site_title_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'social_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'social_blog_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'social-blog' ),
		'section'  => 'social_blog_typography',
		'settings' => 'social_blog_site_title_font',
		'type'     => 'select',
		'choices'  => social_blog_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'social_blog_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'social_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'social_blog_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'social-blog' ),
		'section'  => 'social_blog_typography',
		'settings' => 'social_blog_site_description_font',
		'type'     => 'select',
		'choices'  => social_blog_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'social_blog_header_font',
	array(
		'default'           => 'Muli',
		'sanitize_callback' => 'social_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'social_blog_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'social-blog' ),
		'section'  => 'social_blog_typography',
		'settings' => 'social_blog_header_font',
		'type'     => 'select',
		'choices'  => social_blog_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'social_blog_body_font',
	array(
		'default'           => 'Muli',
		'sanitize_callback' => 'social_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'social_blog_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'social-blog' ),
		'section'  => 'social_blog_typography',
		'settings' => 'social_blog_body_font',
		'type'     => 'select',
		'choices'  => social_blog_get_all_google_font_families(),
	)
);
